package login

import (
	"errors"
	"github.com/gin-gonic/gin"
)

type WxUser struct {
	OpenID string `json:"openID"`
	GHID   string `json:"gHID"`
}

type Info struct {
	Domain   string `json:"domain"`
	ID       uint64 `json:"ID"`
	Account  string `json:"account"`
	NickName string `json:"nickName"`
	TelNum   string `json:"telNum"`
	Avatar   string `json:"avatar"`
	RealName string `json:"realName"`
	IDNum    string `json:"idNum"`
	Coin     string `json:"coin"` //追加一个余额
}

func GetUserInfoFromC(c *gin.Context) Info {
	userInfoAny, _ := c.Get("jwtInfo")
	userInfo := userInfoAny.(Info)
	return userInfo
}

func GetUserInfoFromCtx(c *gin.Context) (Info, error) {
	userInfoAny, _ := c.Get("jwtInfo")
	if userInfoAny != nil {
		userInfo := userInfoAny.(Info)
		return userInfo, nil
	} else {
		return Info{}, errors.New("not login")
	}
}
